class LoyaltyConfiguration {
  final String url;
  final String bffUrl;
  final String merchantCode;
  final String clientId;
  final String iamAudience;
  final bool loggingEnabled;
  final String linkMembershipUrl;
  final String registerMemberUrl;
  final bool allowLinkMembership;
  final bool allowRegisterMembership;
  final String? membershipCodeFormat;

  LoyaltyConfiguration(
    this.url,
    this.bffUrl,
    this.merchantCode,
    this.clientId,
    this.iamAudience,
    this.loggingEnabled,
    this.linkMembershipUrl,
    this.registerMemberUrl,
    this.allowLinkMembership,
    this.allowRegisterMembership,
    this.membershipCodeFormat,
  );
}
