class MemberInfo {
  final String? memberQrCode;
  final String memberId;
  final String phone;
  final String? memberCardId;
  final String name;
  final bool isActive;
  final int point;
  final int? tierPoint;
  final int? keepTierUntil;
  final int? accumulationFrom;
  final int? accumulationTo;
  final String? currentTierCode;
  final String? currentTierName;
  final int? currentTierMinPoint;
  final String? nextTierName;
  final int? nextTierMinPoint;
  final CardType? defaultCardType;

  MemberInfo(
    this.memberQrCode,
    this.memberId,
    this.phone,
    this.memberCardId,
    this.name,
    this.isActive,
    this.point,
    this.tierPoint,
    this.keepTierUntil,
    this.accumulationFrom,
    this.accumulationTo,
    this.currentTierCode,
    this.currentTierName,
    this.currentTierMinPoint,
    this.nextTierName,
    this.nextTierMinPoint,
    this.defaultCardType,
  );
}

enum CardType { qr, memberCard }
